Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class CookieProtocol

    java.lang.Object
      org.jboss.portal.wsrp.core.CookieProtocol

All Implemented Interfaces:
  java.io.Serializable

    public class CookieProtocol

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `_none`
`static java.lang.String` | `_noneString`
`static java.lang.String` | `_perGroup`
`static java.lang.String` | `_perGroupString`
`static java.lang.String` | `_perUser`
`static java.lang.String` | `_perUserString`
`static CookieProtocol` | `none`
`static CookieProtocol` | `perGroup`
`static CookieProtocol` | `perUser`

Constructor Summary
`protected` | `CookieProtocol(java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`static CookieProtocol` | `fromString(java.lang.String value)`
`static CookieProtocol` | `fromValue(java.lang.String value)`
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### _noneString

    public static final java.lang.String _noneString

See Also:
  Constant Field Values

### _perUserString

    public static final java.lang.String _perUserString

See Also:
  Constant Field Values

### _perGroupString

    public static final java.lang.String _perGroupString

See Also:
  Constant Field Values

### _none

    public static final java.lang.String _none

### _perUser

    public static final java.lang.String _perUser

### _perGroup

    public static final java.lang.String _perGroup

### none

    public static final CookieProtocol none

### perUser

    public static final CookieProtocol perUser

### perGroup

    public static final CookieProtocol perGroup

Constructor Detail

### CookieProtocol

    protected CookieProtocol(java.lang.String value)

Method Detail

### getValue

    public java.lang.String getValue()

### fromValue

    public static CookieProtocol fromValue(java.lang.String value)
                                    throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### fromString

    public static CookieProtocol fromString(java.lang.String value)
                                     throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD